> For the complete documentation index, see [llms.txt](https://docs.lagoon.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lagoon.finance/developer-hub/integration/compute-vault-share-valuation.md).

# Compute vault share valuation

*The method described below is identical to that used for an ERC4626 vault.*

To calculate the value of a single share, first determine the price per share of the vault in terms of assets. To achieve this, call the function `convertToAssets(uint256 sharers) returns (uint256 assets);` with the argument set to `10 ** vault.decimals().`

The price per share is given with a scaling factor of `10 ** underlyingAsset.decimals`. To obtain a standard value, you have to divide the price by this scaling factor.

To calculate the value of a share in dollars, multiply the price per share by the price of the underlying asset in dollars:\
`pricePerShare / 10 ** underlyingAsset.decimals * underlyingAssetPriceInDollar = shareValueInDollar`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lagoon.finance/developer-hub/integration/compute-vault-share-valuation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
